<?php
/**
 * Training Institute Academy functions and definitions
 * @package Training Institute Academy
 */

if ( ! function_exists( 'training_institute_academy_after_theme_support' ) ) :

	function training_institute_academy_after_theme_support() {
		
		load_theme_textdomain( 'training-institute-academy', get_template_directory() . '/languages' );
		add_theme_support( 'automatic-feed-links' );
		add_theme_support('woocommerce');
        add_theme_support('wc-product-gallery-zoom');
        add_theme_support('wc-product-gallery-lightbox');
        add_theme_support('wc-product-gallery-slider');
        add_theme_support('woocommerce', array(
            'gallery_thumbnail_image_width' => 300,
        ));

		add_theme_support(
			'custom-background',
			array(
				'default-color' => 'ffffff',
			)
		);

		$GLOBALS['content_width'] = apply_filters( 'training_institute_academy_content_width', 1140 );
		
		add_theme_support( 'post-thumbnails' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 270,
				'width'       => 90,
				'flex-height' => true,
				'flex-width'  => true,
			)
		);
		
		add_theme_support( 'title-tag' );

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'script',
				'style',
			)
		);

		add_theme_support( 'post-formats', array(
			'video',  
			'audio',  
			'gallery',
			'quote',  
			'image',  
			'link',   
			'status', 
			'aside',  
			'chat',   
		) );
		
		add_theme_support( 'align-wide' );
		add_theme_support( 'responsive-embeds' );
		add_theme_support( 'wp-block-styles' );

		require get_template_directory() . '/inc/metabox.php';
		require get_template_directory() . '/inc/homepage-setup/homepage-setup-settings.php';

		if (! defined( 'TRAINING_INSTITUTE_ACADEMY_DOCS_PRO' ) ){
		define('TRAINING_INSTITUTE_ACADEMY_DOCS_PRO',__('https://layout.omegathemes.com/steps/pro-training-institute-academy/','training-institute-academy'));
		}
		if (! defined( 'TRAINING_INSTITUTE_ACADEMY_BUY_NOW' ) ){
		define('TRAINING_INSTITUTE_ACADEMY_BUY_NOW',__('https://www.omegathemes.com/products/academy-wordpress-theme','training-institute-academy'));
		}
		if (! defined( 'TRAINING_INSTITUTE_ACADEMY_SUPPORT_FREE' ) ){
		define('TRAINING_INSTITUTE_ACADEMY_SUPPORT_FREE',__('https://wordpress.org/support/theme/training-institute-academy/','training-institute-academy'));
		}
		if (! defined( 'TRAINING_INSTITUTE_ACADEMY_REVIEW_FREE' ) ){
		define('TRAINING_INSTITUTE_ACADEMY_REVIEW_FREE',__('https://wordpress.org/support/theme/training-institute-academy/reviews/#new-post','training-institute-academy'));
		}
		if (! defined( 'TRAINING_INSTITUTE_ACADEMY_DEMO_PRO' ) ){
		define('TRAINING_INSTITUTE_ACADEMY_DEMO_PRO',__('https://layout.omegathemes.com/training-institute-academy/','training-institute-academy'));
		}
		if (! defined( 'TRAINING_INSTITUTE_ACADEMY_LITE_DOCS_PRO' ) ){
		define('TRAINING_INSTITUTE_ACADEMY_LITE_DOCS_PRO',__('https://layout.omegathemes.com/steps/free-training-institute-academy/','training-institute-academy'));
		}
		if (! defined( 'TRAINING_INSTITUTE_ACADEMY_BUNDLE_BUTTON' ) ){
			define('TRAINING_INSTITUTE_ACADEMY_BUNDLE_BUTTON',__('https://www.omegathemes.com/products/wp-theme-bundle','training-institute-academy'));
		}

	}

endif;

add_action( 'after_setup_theme', 'training_institute_academy_after_theme_support' );

/**
 * Register and Enqueue Styles.
 */
function training_institute_academy_register_styles() {

	wp_enqueue_style( 'dashicons' );

    $training_institute_academy_theme_version = wp_get_theme()->get( 'Version' );
	$training_institute_academy_fonts_url = training_institute_academy_fonts_url();
    if( $training_institute_academy_fonts_url ){
    	require_once get_theme_file_path( 'lib/custom/css/wptt-webfont-loader.php' );
        wp_enqueue_style(
			'training-institute-academy-google-fonts',
			training_institute_academy_wptt_get_webfont_url( $training_institute_academy_fonts_url ),
			array(),
			$training_institute_academy_theme_version
		);
    }

    wp_enqueue_style( 'swiper', get_template_directory_uri() . '/lib/swiper/css/swiper-bundle.min.css');
	wp_enqueue_style( 'training-institute-academy-style', get_stylesheet_uri(), array(), $training_institute_academy_theme_version );

	wp_enqueue_style( 'training-institute-academy-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/custom_css.php' );
	wp_add_inline_style( 'training-institute-academy-style',$training_institute_academy_custom_css );

	$training_institute_academy_css = '';

	if ( get_header_image() ) :

		$training_institute_academy_css .=  '
			.header-box{
				background-image: url('.esc_url(get_header_image()).') !important;
				-webkit-background-size: cover !important;
				-moz-background-size: cover !important;
				-o-background-size: cover !important;
				background-size: cover !important;
			}';

	endif;

	wp_add_inline_style( 'training-institute-academy-style', $training_institute_academy_css );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}	

	wp_enqueue_script( 'imagesloaded' );
    wp_enqueue_script( 'masonry' );
	wp_enqueue_script( 'swiper', get_template_directory_uri() . '/lib/swiper/js/swiper-bundle.min.js', array('jquery'), '', 1);
	wp_enqueue_script( 'training-institute-academy-custom', get_template_directory_uri() . '/lib/custom/js/theme-custom-script.js', array('jquery'), '', 1);
    // Global Query
    if( is_front_page() ){

    	$training_institute_academy_posts_per_page = absint( get_option('posts_per_page') );
        $training_institute_academy_c_paged = ( get_query_var( 'page' ) ) ? absint( get_query_var( 'page' ) ) : 1;
        $posts_args = array(
            'posts_per_page'        => $training_institute_academy_posts_per_page,
            'paged'                 => $training_institute_academy_c_paged,
        );
        $training_institute_academy_posts_qry = new WP_Query( $posts_args );
        $max = $training_institute_academy_posts_qry->max_num_pages;

    }else{
        global $wp_query;
        $max = $wp_query->max_num_pages;
        $training_institute_academy_c_paged = ( get_query_var( 'paged' ) > 1 ) ? get_query_var( 'paged' ) : 1;
    }

    $training_institute_academy_default = training_institute_academy_get_default_theme_options();
    $training_institute_academy_pagination_layout = get_theme_mod( 'training_institute_academy_pagination_layout',$training_institute_academy_default['training_institute_academy_pagination_layout'] );
}

add_action( 'wp_enqueue_scripts', 'training_institute_academy_register_styles',200 );

function training_institute_academy_admin_enqueue_scripts_callback() {
    if ( ! did_action( 'wp_enqueue_media' ) ) {
    wp_enqueue_media();
    }
    wp_enqueue_script('training-institute-academy-uploaderjs', get_stylesheet_directory_uri() . '/lib/custom/js/uploader.js', array(), "1.0", true);
}
add_action( 'admin_enqueue_scripts', 'training_institute_academy_admin_enqueue_scripts_callback' );

/**
 * Register navigation menus uses wp_nav_menu in five places.
 */
function training_institute_academy_menus() {

	$training_institute_academy_locations = array(
		'training-institute-academy-primary-menu'  => esc_html__( 'Primary Menu', 'training-institute-academy' ),
	);

	register_nav_menus( $training_institute_academy_locations );
}

add_action( 'init', 'training_institute_academy_menus' );

add_filter('loop_shop_columns', 'training_institute_academy_loop_columns');
if (!function_exists('training_institute_academy_loop_columns')) {
	function training_institute_academy_loop_columns() {
		$training_institute_academy_columns = get_theme_mod( 'training_institute_academy_per_columns', 3 );
		return $training_institute_academy_columns;
	}
}

add_filter( 'loop_shop_per_page', 'training_institute_academy_per_page', 20 );
function training_institute_academy_per_page( $training_institute_academy_cols ) {
  	$training_institute_academy_cols = get_theme_mod( 'training_institute_academy_product_per_page', 9 );
	return $training_institute_academy_cols;
}

add_filter( 'woocommerce_output_related_products_args', 'training_institute_academy_products_args' );

function training_institute_academy_products_args( $training_institute_academy_args ) {

    $training_institute_academy_args['posts_per_page'] = get_theme_mod( 'training_institute_academy_custom_related_products_number', 6 );

    $training_institute_academy_args['columns'] = get_theme_mod( 'training_institute_academy_custom_related_products_number_per_row', 3 );

    return $training_institute_academy_args;
}

require get_template_directory() . '/inc/custom-header.php';
require get_template_directory() . '/classes/class-svg-icons.php';
require get_template_directory() . '/classes/class-walker-menu.php';
require get_template_directory() . '/inc/customizer/customizer.php';
require get_template_directory() . '/inc/custom-functions.php';
require get_template_directory() . '/inc/template-tags.php';
require get_template_directory() . '/classes/body-classes.php';
require get_template_directory() . '/inc/widgets/widgets.php';
require get_template_directory() . '/inc/pagination.php';
require get_template_directory() . '/lib/breadcrumbs/breadcrumbs.php';
require get_template_directory() . '/lib/custom/css/dynamic-style.php';


function training_institute_academy_remove_customize_register() {
    global $wp_customize;

    $wp_customize->remove_setting( 'display_header_text' );
    $wp_customize->remove_control( 'display_header_text' );

}

add_action( 'customize_register', 'training_institute_academy_remove_customize_register', 11 );

// Apply styles based on customizer settings

function training_institute_academy_radio_sanitize(  $training_institute_academy_input, $training_institute_academy_setting  ) {
	$training_institute_academy_input = sanitize_key( $training_institute_academy_input );
	$training_institute_academy_choices = $training_institute_academy_setting->manager->get_control( $training_institute_academy_setting->id )->choices;
	return ( array_key_exists( $training_institute_academy_input, $training_institute_academy_choices ) ? $training_institute_academy_input : $training_institute_academy_setting->default );
}
require get_template_directory() . '/inc/general.php';


// NOTICE FUNCTION

function training_institute_academy_admin_notice() { 
    global $pagenow;
    $theme_args = wp_get_theme();
    $meta = get_option( 'training_institute_academy_admin_notice' );
    $name = $theme_args->get( 'Name' );
    $current_screen = get_current_screen();

    if ( ! $meta ) {
        if ( is_network_admin() ) {
            return;
        }

        if ( ! current_user_can( 'manage_options' ) ) {
            return;
        }

        if ( $current_screen->base != 'appearance_page_traininginstituteacademy-wizard' ) {
            ?>
            <div class="notice notice-success notice-content">
                <h2><?php esc_html_e('Welcome! Thank you for choosing Training Institute Academy. Let’s Set Up Your Website!', 'training-institute-academy') ?> </h2>
                <p><?php esc_html_e('Before you dive into customization, let’s go through a quick setup process to ensure everything runs smoothly. Click below to start setting up your website in minutes!', 'training-institute-academy') ?> </p>
                <div class="info-link">
                    <a href="<?php echo esc_url( admin_url( 'themes.php?page=traininginstituteacademy-wizard' ) ); ?>"><?php esc_html_e('Get Started with Training Institute Academy', 'training-institute-academy'); ?></a>
                </div>
                <p class="dismiss-link"><strong><a href="?training_institute_academy_admin_notice=1"><?php esc_html_e( 'Dismiss', 'training-institute-academy' ); ?></a></strong></p>
            </div>
            <?php
        }
    }
}
add_action( 'admin_notices', 'training_institute_academy_admin_notice' );

if ( ! function_exists( 'training_institute_academy_update_admin_notice' ) ) :
/**
 * Updating admin notice on dismiss
 */
function training_institute_academy_update_admin_notice() {
    if ( isset( $_GET['training_institute_academy_admin_notice'] ) && $_GET['training_institute_academy_admin_notice'] == '1' ) {
        update_option( 'training_institute_academy_admin_notice', true );
    }
}
endif;
add_action( 'admin_init', 'training_institute_academy_update_admin_notice' );

// After Switch theme function
add_action( 'after_switch_theme', 'training_institute_academy_getstart_setup_options' );
function training_institute_academy_getstart_setup_options() {
    update_option( 'training_institute_academy_admin_notice', false );
}